#!/usr/local/bin/perl
use strict;
use warnings;

my %population = ( Pitcairn =>    67,
		   Cocos    =>   596,
		   Vatican  =>   800,
		   Niue     => 1_000,
		 );

my $element_ref = \$population{Niue};

print hash_to_string( %population ), "\n";

$$element_ref++;

print hash_to_string( %population ), "\n";


sub hash_to_string
{
  my %hash = @_;

  my $str = join ', ' => map { "$_=>$hash{$_}" }
                             sort keys %hash;
  return "<< $str >>";
}
