package Movie;
use strict;
use warnings;


sub new
{
  my ($class, %initial_attributes) = @_;

  return bless \%initial_attributes, $class;
}

sub genre
{
  my $self = shift;

  @_ and $self->{genre} = shift;
  return $self->{genre};
}


sub title
{
  my $self = shift;

  my $title = $self->{title};
  $self->{part} and $title .= " " . $self->{part};
  return $title;
}


1;
