DROP DATABASE IF EXISTS Lesson8;
CREATE DATABASE Lesson8;
use Lesson8;

CREATE TABLE creative_work ( id MEDIUMINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
                             title VARCHAR(100) NOT NULL, genre SET('Science Fiction','Romance','Drama','Biography','Horror','Western') );

CREATE TABLE book ( id MEDIUMINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
       	            author_id MEDIUMINT, creative_work_id MEDIUMINT NOT NULL );

CREATE TABLE movie ( id MEDIUMINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
                     creative_work_id MEDIUMINT NOT NULL, based_on_book_id MEDIUMINT );

CREATE TABLE actor_movie_assoc( id MEDIUMINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
                                movie_id MEDIUMINT NOT NULL, role VARCHAR(100) NOT NULL, person_id MEDIUMINT NOT NULL );

CREATE TABLE oscar ( id MEDIUMINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
                     year SMALLINT NOT NULL, for_movie_id MEDIUMINT NOT NULL,
                     category SET('Best Picture','Actor','Actress','Writer','Editing','Directing','Writing (Adapted)','Writing (Original)') NOT NULL );

CREATE TABLE winner_oscar_assoc ( id MEDIUMINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
                                  oscar_id MEDIUMINT NOT NULL, winner_person_id MEDIUMINT NOT NULL );

CREATE TABLE person ( id MEDIUMINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
                      name VARCHAR(50) );

